/*Programa que obtiene la ultima cifra de un número */

#include<stdio.h>
#include<conio.h>
#define n 10
void main (void)
{
	
	int numero,cont=1;
	float aux;
	
	clrscr();
	printf("Teclee un número: ");
	scanf("%d",&numero);
	
	while(cont!=0)
	{
		aux=(float) numero%n;
		if(aux<=1)
		{
			cont=0;
		}
		else
		{
			numero=numero%n;
		}
	}
	printf("La útlima cifra del numero es: %d",aux);
	getch();
}